Subject: Implement removeAll() for Repository
Description

The \F3\FLOW3\Persistence\Repository class should provide a removeAll() method which allows to flush / truncate / ... the given
repository.

Would it make sense to also have a removeBy() method? If so ... open another ticket.

Associated revisions
Revision cebf33d0 - 2009-09-16 15:36 - Karsten Dambekalns

[~TASK] FLOW3: Fixed method parameter documentation found by new reflection service checks.
[+FEATURE] FLOW3 (Persistence): added removeAll() to base repository, resolves #3852.

History
#1 - 2009-07-13 10:54 - Robert Lemke
- Target version set to 1.0 alpha 3

#2 - 2009-08-05 12:35 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns

Would that be transient (i.e. need a call to persistAll() to be effective), or write to the persistent layer immediately?

#3 - 2009-08-17 11:32 - Robert Lemke
- Target version deleted (1.0 alpha 3)

#4 - 2009-09-16 15:34 - Karsten Dambekalns
- Status changed from Needs Feedback to Accepted
- Target version set to 1.0 alpha 5

#5 - 2009-09-16 16:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3189.

2015-08-03 1/1


